Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface RevisionDescriptorStore

All Superinterfaces:
  Service, javax.transaction.xa.XAResource

All Known Subinterfaces:
  Store

All Known Implementing Classes:
  AbstractStore

public interface RevisionDescriptorStore
extends Service

Store for RevisionDescriptor objects.

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`void` | `createRevisionDescriptor(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Create a new revision descriptor.
`void` | `removeRevisionDescriptor(Uri uri, NodeRevisionNumber revisionNumber)` Remove a revision descriptor.
`NodeRevisionDescriptor` | `retrieveRevisionDescriptor(Uri uri, NodeRevisionNumber revisionNumber)` Retrieve an individual object's revision descriptor.
`void` | `storeRevisionDescriptor(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Update a revision descriptor.

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters, setScope`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Method Detail

### retrieveRevisionDescriptor

    public NodeRevisionDescriptor retrieveRevisionDescriptor(Uri uri,
                                                             NodeRevisionNumber revisionNumber)
                                                      throws ServiceAccessException,
                                                             RevisionDescriptorNotFoundException

  Retrieve an individual object's revision descriptor.

  Parameters:
    `uri` - uri
    `revisionNumber` - Node revision number
  Throws:
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`

### createRevisionDescriptor

    public void createRevisionDescriptor(Uri uri,
                                         NodeRevisionDescriptor revisionDescriptor)
                                  throws ServiceAccessException

  Create a new revision descriptor.

  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException` - Service access error

### storeRevisionDescriptor

    public void storeRevisionDescriptor(Uri uri,
                                        NodeRevisionDescriptor revisionDescriptor)
                                 throws ServiceAccessException,
                                        RevisionDescriptorNotFoundException

  Update a revision descriptor.

  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### removeRevisionDescriptor

    public void removeRevisionDescriptor(Uri uri,
                                         NodeRevisionNumber revisionNumber)
                                  throws ServiceAccessException

  Remove a revision descriptor.

  Parameters:
    `uri` - Uri
    `revisionNumber` - Revision number
  Throws:
    `ServiceAccessException` - Service access error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD